body {
    color: #444;
}

/*
Add transition to containers so they can push in and out.
*/
#layout,
#menu,
.menu-link {
    -webkit-transition: all 0.2s ease-out;
    -moz-transition: all 0.2s ease-out;
    -ms-transition: all 0.2s ease-out;
    -o-transition: all 0.2s ease-out;
    transition: all 0.2s ease-out;
}

/*
This is the parent `<div>` that contains the menu and the content area.
*/
#layout {
    position: relative;
    left: 0;
    padding-left: 0;
}

#layout.active #menu {
    left: 250px;
    width: 250px;
}

#layout.active .menu-link {
    left: 250px;
}

/*
The content `<div>` is where all your content goes.
*/
.content {
    margin: 0 auto;
    padding: 0 2em;
    max-width: 1000px;
    margin-bottom: 50px;
    line-height: 1.6em;
}

.header {
    margin: 0;
    color: #333;
    text-align: center;
    padding: 2.5em 2em 0;
    border-bottom: 1px solid #eee;
}

.header h1 {
    margin: 0.2em 0;
    font-size: 3em;
    font-weight: 300;
}

.header h2 {
    font-weight: 300;
    color: #ccc;
    padding: 0;
    margin-top: 0;
}

.content-subhead {
    margin: 50px 0 20px 0;
    font-weight: 300;
    color: #888;
}


/*
The `#menu` `<div>` is the parent `<div>` that contains the `.pure-menu` that
appears on the left side of the page.
*/

#menu {
    margin-left: -250px; /* "#menu" width */
    width: 250px;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    z-index: 1000; /* so the menu or its navicon stays above all content */
    background: #191818;
    overflow-y: auto;
}

/*
All anchors inside the menu should be styled like this.
*/
#menu a {
    color: #999;
    border: none;
    padding: 0.6em 0 0.6em 0.6em;
}

/*
Remove all background/borders, since we are applying them to #menu.
*/
#menu .pure-menu,
#menu .pure-menu ul {
    border: none;
    background: transparent;
}

/*
Add that light border to separate items into groups.
*/
#menu .pure-menu ul,
#menu .pure-menu .menu-item-divided {
    border-top: 5px solid #333;
}

/*
Change color of the anchor links on hover/focus.
*/
#menu .pure-menu li a:hover,
#menu .pure-menu li a:focus {
    background: #333;
}

/*
This styles the selected menu item `<li>`.
*/
#menu .pure-menu-selected,
#menu .pure-menu-heading {
    background: #1f8dd6;
}

/*
This styles a link within a selected menu item `<li>`.
*/
#menu .pure-menu-selected a {
    color: #fff;
}

/*
This styles the menu heading.
*/
#menu .pure-menu-heading {
    font-size: 110%;
    color: #fff;
    margin: 0;
}

/* -- Dynamic Button For Responsive Menu -------------------------------------*/

/*
The button to open/close the Menu is custom-made and not part of Pure. Here's
how it works:
*/

/*
`.menu-link` represents the responsive menu toggle that shows/hides on
small screens.
*/
.menu-link {
    position: fixed;
    display: block; /* show this only on small screens */
    top: 0;
    left: 0; /* "#menu width" */
    background: #000;
    background: rgba(0, 0, 0, 0.7);
    font-size: 10px; /* change this value to increase/decrease button size */
    z-index: 10;
    width: 2em;
    height: auto;
    padding: 2.1em 1.6em;
}

.menu-link:hover,
.menu-link:focus {
    background: #000;
}

.menu-link span {
    position: relative;
    display: block;
}

.menu-link span,
.menu-link span:before,
.menu-link span:after {
    background-color: #fff;
    width: 100%;
    height: 0.2em;
}

.menu-link span:before,
.menu-link span:after {
    position: absolute;
    margin-top: -0.6em;
    content: " ";
}

.menu-link span:after {
    margin-top: 0.6em;
}

.text-warning {
    color: red;
    font-size: large;
}


/* -- Responsive Styles (Media Queries) ------------------------------------- */

/*
Hides the menu at `48em`, but modify this based on your app's needs.
*/
@media (min-width: 48em) {

    .header,
    .content {
        padding-left: 2em;
        padding-right: 2em;
    }

    #layout {
        padding-left: 250px; /* left col width "#menu" */
        left: 0;
    }

    #menu {
        left: 250px;
    }

    .menu-link {
        position: fixed;
        left: 250px;
        display: none;
    }

    #layout.active .menu-link {
        left: 250px;
    }
}

@media (max-width: 48em) {
    /* Only apply this when the window is small. Otherwise, the following
    case results in extra padding on the left:
        * Make the window small.
        * Tap the menu to trigger the active state.
        * Make the window large again.
    */
    #layout.active {
        position: relative;
        left: 250px;
    }
}

.pure-button-primary {
    background-color: #a61711
}

.button-error {
    color: white;
    border-radius: 4px;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0.2);
}

.button-error {
    background: rgb(202, 60, 60);
    /* this is a maroon */
}

.admin-buttons {
    background: #cccccc;
    padding: 15px;
    margin-top: 40px;
}

#menu .pure-menu-heading, #menu .pure-menu-selected {
    background: linear-gradient(to bottom right, #ffba62, #ff8f18);
}

.form-action-button {
    margin-right: 5px;
}

#overlay {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(55, 55, 55, 0.75);
}

#overlay span {
    color: white;
    font-size: large;
    width: 100%;
    height: 100%;
    display: flex;
    flex-wrap: wrap;
    align-content: space-around;
    justify-content: space-around;
}




.SelectMultiple {
    position: relative;
    display: inline-block;
    vertical-align: middle;
}

.SelectMultiple select {
    opacity: 0;
    width: 0 !important;
    height: 0 !important;
}

.SelectMultiple__selected {
    position: relative;
    z-index: 2;
    padding: 4px 12px 0 12px;
    background: #fff;
    font-size: 14px;
    min-height: 32px;
    border: 1px solid #ccc;
    box-shadow: inset 0 1px 3px #ddd;
    border-radius: 4px;
    vertical-align: middle;
}

.SelectMultiple__arrow {
    right: 1px;
    top: 0;
    bottom: 0;
    cursor: pointer;
    width: 28px;
    position: absolute;
}

.SelectMultiple__arrow::before, .SelectMultiple__arrow::after {
    content: "";
    position: absolute;
    display: block;
    width: 1px;
    height: 4px;
    border-bottom: 6px solid #000;
    top: 43%;
}

.SelectMultiple__arrow::before {
    right: 6px;
    transform: rotate(-130deg);
}

.SelectMultiple__arrow::after {
    left: 20px;
    transform: rotate(130deg);
}

.SelectMultiple__select-wrapper {
    color: #99A3BA;
    display: block;
    position: absolute;
    left: 12px;
    cursor: pointer;
    top: 8px;
    line-height: 24px;
}

.SelectMultiple__select-wrapper.hide {
    opacity: 0;
    visibility: hidden;
    transform: translate(-4px, 0);
}

.SelectMultiple__selected-option {
    position: relative;
    padding: 0 24px 4px 8px;
    line-height: 28px;
    color: #000;
    display: inline-block;
    vertical-align: top;
    margin: 0 6px 0 0;
}

.SelectMultiple__selected-option em {
    font-style: normal;
    display: block;
    white-space: nowrap;
}

.SelectMultiple__selected-option::before {
    content: "";
    left: 0;
    top: 0;
    bottom: 6px;
    width: 100%;
    position: absolute;
    display: block;
    background: #e6e6e6;
    z-index: -1;
    border-radius: 4px;
}

.SelectMultiple__selected-option i {
    cursor: pointer;
    position: absolute;
    top: 0;
    right: 0;
    width: 24px;
    height: 28px;
    display: block;
}

.SelectMultiple__selected-option i::before, .SelectMultiple__selected-option i::after {
    content: "";
    display: block;
    width: 2px;
    height: 10px;
    position: absolute;
    left: 50%;
    top: 50%;
    background: #a61711;
    border-radius: 1px;
}

.SelectMultiple__selected-option i::before {
    transform: translate(-50%, -50%) rotate(45deg);
}

.SelectMultiple__selected-option i::after {
    transform: translate(-50%, -50%) rotate(-45deg);
}

.SelectMultiple__selected-option.shown::before {
    width: 100%;
}

.SelectMultiple__list {
    margin: 0;
    padding: 0;
    list-style: none;
    font-size: 16px;
    z-index: 1;
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    visibility: hidden;
    opacity: 0;
    border-radius: 8px;
    transform: translate(0, 20px) scale(0.8);
    transform-origin: 0 0;
    box-shadow: 0 12px 20px rgba(22, 42, 90, 0.08);
}

.SelectMultiple__list-item {
    color: #1E2330;
    background: #fff;
    padding: 12px 16px;
    cursor: pointer;
    overflow: hidden;
    position: relative;
}

.SelectMultiple__list-item:first-child {
    border-radius: 8px 8px 0 0;
}

.SelectMultiple__list-item:first-child:last-child {
    border-radius: 8px;
}

.SelectMultiple__list-item:last-child {
    border-radius: 0 0 8px 8px;
}

.SelectMultiple__list-item:last-child:first-child {
    border-radius: 8px;
}

.SelectMultiple__list-item:hover {
    background: #e6e6e6;
    color: #000;
}

.SelectMultiple__list-item::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 6px;
    height: 6px;
    background: rgba(0, 0, 0, 0.4);
    opacity: 0;
    border-radius: 100%;
    transform: scale(1, 1) translate(-50%, -50%);
    transform-origin: 50% 50%;
}

.SelectMultiple--open .SelectMultiple__selected {
    box-shadow: 0 4px 20px -1px rgba(22, 42, 90, 0.12);
}

.SelectMultiple--open .SelectMultiple__arrow::before {
    transform: rotate(-50deg);
    top: calc(50% - 7px);
}

.SelectMultiple--open .SelectMultiple__arrow::after {
    transform: rotate(50deg);
    top: calc(50% - 7px);
}

.SelectMultiple--open .SelectMultiple__list {
    transform: translate(0, 12px) scale(1);
    opacity: 1;
    visibility: visible;
    filter: drop-shadow(0 16px 24px rgba(22, 42, 90, 0.16));
    max-height: 400px;
    overflow: auto;
}






.toggle-input-content {
    display: none;
}

.toggle-input-check:checked ~ .toggle-input-content {
    display: block;
}

.label-with-icon {
    display: inline-flex !important;
    justify-content: flex-end;
    align-items: center;
}

.label-with-icon em {
    display: flex;
    margin-left: 4px;
}

[data-tooltip] {
    position: relative;
    cursor: help
}

[data-tooltip]::after {
    position: absolute;
    opacity: 0;
    pointer-events: none;
    content: attr(data-tooltip);
    left: 0;
    top: calc(100% + 10px);
    border-radius: 3px;
    box-shadow: 0 0 5px 2px rgba(100, 100, 100, 0.6);
    background-color: white;
    z-index: 10;
    padding: 8px;
    width: 300px;
    transform: translateY(-20px);
    transition: all 150ms cubic-bezier(.25, .8, .25, 1);
    text-align: left;
}

[data-tooltip]:hover::after {
    opacity: 1;
    transform: translateY(0);
    transition-duration: 300ms;
}